Subject: [babel] Opsdir last call review of draft-ietf-babel-source-specific-06

From: Dan Romascanu via Datatracker <[email-masked]>
Date: Sat, 24 Oct 2020 02:24:17 -0700

Reviewer: Dan Romascanu
Review result: Ready

Ready.

This document describes an extension for source-specific routing  (also known
as Source-Address Dependent Routing, SADR) to the Babel routing protocol. It's
a well written, clear and complete document.

>From an operational point of view, operators should pay special attention to
section 6 - Compatibility to the base protocol:

> The protocol extension defined in this document is, to a great
   extent, interoperable with the base protocol defined in [BABEL] (and
   all previously standardised extensions).  More precisely, if non-
   source-specific routers and source-specific routers are mixed in a
   single routing domain, Babel's loop-avoidance properties are
   preserved, and, in particular, no persistent routing loops will
   occur.

  > However, this extension is encoded using mandatory sub-TLVs,
   introduced in [BABEL], and therefore is not compatible with the older
   version of the Babel Routing Protocol [RFC6126] which does not
   support such sub-TLVs.  Consequently, this extension MUST NOT be used
   with routers implementing RFC 6126, otherwise persistent routing
   loops may occur.

There are no manageability considerations in this document. I assume that
management actions and objects, if relevant, will be included in complementary
documents.

---

From: Juliusz Chroboczek <[email-masked]>
Date: Wed, 28 Oct 2020 14:57:58 +0100

>> section 6 - Compatibility to the base protocol:

Right.

Of the 5 implementations of Babel, there are two that are actively
deployed in production.  Both have been updated to interoperate with
6126bis in late 2018, two years ago.  We have done our best to ensure the
updated versions have been deployed by now, and therefore that it is safe
to deploy source-specific, but of course we cannot be sure.

-- Juliusz